<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
            new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
        j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
        'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-NLPDPX3');</script>
    <!-- End Google Tag Manager -->

    <meta charset="UTF-8">
    <title>Data Tagihan</title>
</head>
<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<section layout:fragment="main" class="clearfix">
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel tile fixed_height_160">
                <div class="x_title">
                    <h1>Data Tagihan Registrasi</h1>
                    <div class="clearfix"></div>
                </div>
                <div class="row clearfix">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <div class="card">
                            <div class="row clearfix">
                                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                    <div class="card">
                                        <div class="body">
                                            <form method="get">
                                                <div class="col-md-3">
                                                    <div class="form-line">
                                                        <label>User Followup</label>
                                                        <select name="user" class="form-control">
                                                            <option value=""></option>
                                                            <option th:if="${user == null}" th:each="ta : ${listFu}" th:value="${ta.id}" th:text="${ta.nama}">2023/2024</option>
                                                            <option th:if="${user != null}" th:each="ta : ${listFu}" th:value="${ta.id}" th:text="${ta.nama}" th:selected="${ta.id == user}">2023/2024</option>
                                                        </select>
                                                    </div>
                                                </div>

                                                <div class="col-md-3">
                                                    <div class="form-line">
                                                        <label>Nama </label>
                                                        <input type="text" name="nama"
                                                               class="form-control" th:value="${nama}"
                                                               placeholder="Cari Nama..." autofocus>
                                                    </div>
                                                </div>
                                                <div class="col-md-2 pull-left">
                                                    <div class="form-line">
                                                        <br>
                                                        <button class="btn btn-info" style="color: white;margin-top: 5px;" type="submit">Cari</button>
                                                    </div>
                                                </div>
                                            </form>
                                            <br>
                                                <div class="col-lg-12">
                                                    <table>
                                                        <tr>
                                                            <td>Jumlah Sudah Lunas</td>
                                                            <td>:</td>
                                                            <td th:text="${'&nbsp;'+ lunas}">109</td>
                                                        </tr>
                                                        <tr>
                                                            <td>Jumlah Belum Lunas</td>
                                                            <td>:</td>
                                                            <td th:text="${'&nbsp;'+ belumLunas}">109</td>
                                                        </tr>
                                                        <tr>
                                                            <td>Contacted -  siap bayar formulir</td>
                                                            <td>:</td>
                                                            <td th:text="${'&nbsp;'+ siapBayar}">109</td>
                                                        </tr>
                                                        <tr>
                                                            <td>Contacted</td>
                                                            <td>:</td>
                                                            <td th:text="${'&nbsp;'+ conotacted}">109</td>
                                                        </tr>
                                                        <tr>
                                                            <td>Close Louse</td>
                                                            <td>:</td>
                                                            <td th:text="${'&nbsp;'+ closeLose}">109</td>
                                                        </tr>
                                                        <tr>
                                                            <td>Belum dihubungi</td>
                                                            <td>:</td>
                                                            <td th:text="${'&nbsp;'+ belumDihubungi}"></td>
                                                        </tr>
                                                    </table>
                                                </div>
                                            <hr>
                                            <br>
                                            <div class="row">
                                                <div class="col-sm-12">
                                                    <span class="pull-right">Show <span sd:page-size-selector="javascript"></span> entries</span>
                                                    <br> <br>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="table-responsive">
                                                    <table class="table table-bordered table-striped table-hover">
                                                        <thead>
                                                        <tr>
                                                            <th>No Registrasi</th>
                                                            <th>Nama</th>
                                                            <th>No Hp</th>
                                                            <th>Nominal</th>
                                                            <th>Kode Voucher</th>
                                                            <th>Status</th>
                                                            <th>Keterangan</th>
                                                            <th>History</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                        <tr th:each="p,row : ${daftarTagihan}">
                                                            <td th:text="${p.pendaftar.nomorRegistrasi}"></td>
                                                            <td th:text="${p.pendaftar.leads.nama}">10-08-2017</td>
                                                            <td th:text="${p.pendaftar.leads.noHp}">10-08-2017</td>
                                                            <td th:text="${'Rp. ' + #numbers.formatDecimal(p.nilai, 0, 'POINT', 2, 'COMMA')}">10-08-2017</td>
                                                            <td th:if="${p.pendaftar.referal != null && p.jenisBiaya.id == '001'}">
                                                                <a th:href="@{/referal/list(keterangan=${p.pendaftar.referal.kodeReferal})}" th:text="${p.pendaftar.referal.kodeReferal}"></a>
                                                            </td>
                                                            <td th:if="${p.pendaftar.referal == null && p.jenisBiaya.id == '001'}" th:text="${'No Voucher'}"></td>
                                                            <td>
                                                                <span th:if="${p.lunas}">
                                                                    <span  style="color: #2b982b;">Lunas</span>
                                                                </span>
                                                                <span th:if="${!p.lunas}" sec:authorize ="hasAnyAuthority('VIEW_MASTER','VIEW_EDUCONSULTANS','VIEW_FINANCE','VIEW_AKADEMIK')">
                                                                    <a th:href="@{/pembayaran/form(id = ${p.id})}">
                                                                        <span style="color: red;">Belum Lunas</span>
                                                                    </a>
                                                                </span>
                                                                <span th:if="${!p.lunas}" sec:authorize ="hasAuthority('VIEW_PASCASARJANA')">
                                                                    <span style="color: red;">Belum Lunas</span>
                                                                </span>
                                                            </td>
                                                            <td th:text="${p.pendaftar.status}">10-08-2017</td>
                                                            <td>
                                                                <a th:if="${p.jenisBiaya.id == '001'}" th:href="@{/tagihan/detailTagihan(idTagihan = ${p.id}, jenisBiaya = ${p.jenisBiaya.id})}" type="submit" class="btn btn-info btn-xs">Cek</a>
                                                            </td>
                                                        </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-sm-6">
                                                    <div sd:pagination-summary="">info</div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-sm-8">
                                                    <nav class="pull-left">
                                                        <ul class="pagination" sd:pagination="full">
                                                            <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                                                            <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                                                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                                                        </ul>
                                                    </nav>
                                                </div>
                                            </div>
                                        </div>
                                        <!--//table//-->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</section>

</body>
</html>